org.eclipse.mat.ui.editor

## Class PathEditorInput

- java.lang.Object
- - org.eclipse.mat.ui.editor.PathEditorInput

All Implemented Interfaces:
  IAdaptable, IEditorInput, IPathEditorInput

    public class PathEditorInput
    extends Object
    implements IPathEditorInput

### Constructor Summary

Constructors
Constructor and Description
`PathEditorInput(IPath path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`boolean` `exists()`
`Object` `getAdapter(Class adapter)`
`ImageDescriptor` `getImageDescriptor()`
`String` `getName()`
`IPath` `getPath()`
`IPersistableElement` `getPersistable()`
`String` `getToolTipText()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathEditorInput

    public PathEditorInput(IPath path)

### Method Detail

#### getPath

    public IPath getPath()

Specified by:
  `getPath` in interface `IPathEditorInput`

#### exists

    public boolean exists()

Specified by:
  `exists` in interface `IEditorInput`

#### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

Specified by:
  `getImageDescriptor` in interface `IEditorInput`

#### getName

    public String getName()

Specified by:
  `getName` in interface `IEditorInput`

#### getPersistable

    public IPersistableElement getPersistable()

Specified by:
  `getPersistable` in interface `IEditorInput`

#### getToolTipText

    public String getToolTipText()

Specified by:
  `getToolTipText` in interface `IEditorInput`

#### getAdapter

    public Object getAdapter(Class adapter)

Specified by:
  `getAdapter` in interface `IAdaptable`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`